GDCM: gdcm::Element< TVR, VM::VM1_2 > Class Template Reference

GDCM 3.0.25

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | List of all members
gdcm::Element< TVR, VM::VM1_2 > Class Template Reference

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::Element< TVR, VM::VM1_2 >:
[legend]
Collaboration diagram for gdcm::Element< TVR, VM::VM1_2 >:
[legend]

## Public Types
typedef Element< TVR, VM::VM1_n > | Parent
typedef VRToType< TVR >::Type | Type
Public Types inherited from gdcm::Element< TVR, TVM >
typedef VRToType< TVR >::Type | Type

## Public Member Functions
DataElement | GetAsDataElement () const
unsigned long | GetLength () const
VRToType< TVR >::Type & | GetValue (unsigned int idx=0)
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
const VRToType< TVR >::Type * | GetValues () const
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetFromDataElement (DataElement const &de)
void | SetLength (int len)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const
Public Member Functions inherited from gdcm::Element< TVR, TVM >
DataElement | GetAsDataElement () const
unsigned long | GetLength () const
VRToType< TVR >::Type & | GetValue (unsigned int idx=0)
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
const VRToType< TVR >::Type * | GetValues () const
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetFromDataElement (DataElement const &de)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const

## Static Public Member Functions
static VM | GetVM ()
static VR | GetVR ()
Static Public Member Functions inherited from gdcm::Element< TVR, TVM >
static VM | GetVM ()
static VR | GetVR ()

## Public Attributes
VRToType< TVR >::Type | Internal [VMToLength< TVM >::Length]
Public Attributes inherited from gdcm::Element< TVR, TVM >
VRToType< TVR >::Type | Internal [VMToLength< TVM >::Length]

## Protected Member Functions
void | SetNoSwap (Value const &v)
Protected Member Functions inherited from gdcm::Element< TVR, TVM >
void | SetNoSwap (Value const &v)

## Member Typedef Documentation

## ◆ Parent

template<long long TVR>

typedef Element<TVR, VM::VM1_n> gdcm::Element< TVR, VM::VM1_2 >::Parent

## ◆ Type

typedef VRToType<TVR>::Type gdcm::Element< TVR, TVM >::Type

## Member Function Documentation

## ◆ GetAsDataElement()

DataElement gdcm::Element< TVR, TVM >::GetAsDataElement | ( |  | ) | const
| inline

## ◆ GetLength()

unsigned long gdcm::Element< TVR, TVM >::GetLength | ( |  | ) | const
| inline

## ◆ GetValue() [1/2]

VRToType< TVR >::Type & gdcm::Element< TVR, TVM >::GetValue | ( | unsigned int | idx = 0 | ) |
| inline

## ◆ GetValue() [2/2]

const VRToType< TVR >::Type & gdcm::Element< TVR, TVM >::GetValue | ( | unsigned int | idx = 0 | ) | const
| inline

## ◆ GetValues()

const VRToType< TVR >::Type * gdcm::Element< TVR, TVM >::GetValues | ( |  | ) | const
| inline

## ◆ GetVM()

static VM gdcm::Element< TVR, TVM >::GetVM | ( |  | ) |
| inlinestatic

## ◆ GetVR()

static VR gdcm::Element< TVR, TVM >::GetVR | ( |  | ) |
| inlinestatic

## ◆ operator[]()

VRToType< TVR >::Type gdcm::Element< TVR, TVM >::operator[] | ( | unsigned int | idx | ) | const
| inline

## ◆ Print()

void gdcm::Element< TVR, TVM >::Print | ( | std::ostream & | _os | ) | const
| inline

## ◆ Read()

void gdcm::Element< TVR, TVM >::Read | ( | std::istream & | _is | ) |
| inline

## ◆ Set()

void gdcm::Element< TVR, TVM >::Set | ( | Value const & | v | ) |
| inline

## ◆ SetFromDataElement()

void gdcm::Element< TVR, TVM >::SetFromDataElement | ( | DataElement< TVR, VM::VM1_2 > const & | de | ) |
| inline

## ◆ SetLength()

template<long long TVR>

void gdcm::Element< TVR, VM::VM1_2 >::SetLength | ( | int | len | ) |
| inline

## ◆ SetNoSwap()

void gdcm::Element< TVR, TVM >::SetNoSwap | ( | Value const & | v | ) |
| inlineprotected

## ◆ SetValue()

void gdcm::Element< TVR, TVM >::SetValue | ( | typename VRToType< TVR >::Type | v,
|  | unsigned int | idx = 0 )
| inline

## ◆ Write()

void gdcm::Element< TVR, TVM >::Write | ( | std::ostream & | _os | ) | const
| inline

## Member Data Documentation

## ◆ Internal

VRToType<TVR>::Type gdcm::Element< TVR, TVM >::Internal[VMToLength< TVM >::Length]

The documentation for this class was generated from the following file:

- gdcmElement.h